# Einfhrendes Beispiel zu R
#
setwd("C:/Users/Alpha/Desktop/R")
Data=read.csv("Beispiel1.csv",header=TRUE,sep=";",dec=",")
head(Data)
plot(Data$Alter,Data$Einkommen,main="Einfache Graphik",
xlab="Alter in Jahren", ylab="Einkommen in TEuro",type="n")
text(Data$Alter,Data$Einkommen,Data$Kunde)
str(Data)

# Graphische Darstellung Haushaltsgre
HHgre=Data$Haushaltsgre
table(HHgre) # Ausgabe der Hufigkeiten
cumsum(table(HHgre)) # Ausgabe kumulierter Hufigkeiten
barplot(table(HHgre)) # Balkendiagramm der Hufigkeiten
barplot(cumsum(table(HHgre))) # der kum. Hufigkeiten
# Graphische Darstellung Umsatz
Umsatz=12.5+round((Data$Umsatz-12.51)/25)*25
table(Umsatz) # Ausgabe der Hufigkeiten
cumsum(table(Umsatz)) # Ausgabe kumulierter Hufigkeiten
barplot(table(Umsatz)) # Balkendiagramm der Hufigkeiten
barplot(cumsum(table(Umsatz))) # der kum. Hufigkeiten

# Mae der zentralen Tendenz (Mittelwert, Median, Modus)
mean(HHgre); median(HHgre); tab=table(HHgre)
names(tab[tab==max(tab)]) # Modus
mean(Umsatz); median(Umsatz); tab=table(Umsatz)
names(tab[tab==max(tab)]) # Modus

# Dispersionsmae (Varianz, Standardabweichung)
n=dim(Data)[1]
var(Data$Haushaltsgre) # Varianz
sd(Data$Haushaltsgre) # Standardabweichung
(n-1)/n*var(Data$Haushaltsgre) # Stichprobenvarianz
(n-1)/n*sd(Data$Haushaltsgre) # Stichprobenstd.
var(Data$Umsatz) # Varianz
sd(Data$Umsatz) # Standardabweichung
(n-1)/n*var(Data$Umsatz) # Stichprobenvarianz
(n-1)/n*sd(Data$Umsatz) # Stichprobenstd.

# Formulierung und berprfung von Hypothesen: z-Test
n=dim(Data)[1]; p=mean(Data$Besteller); p # Schritt 1
P0=0.5; Q0=0.5; sigmap2=P0*Q0/n; sigmap2 # Schritt 2
alpha=0.05; z_krit=qnorm(1-alpha); z_krit # Schritt 4
z_emp=(p-P0)/sqrt(sigmap2); z_emp # Schritt 5
if (z_emp>z_krit){"Ablehnung"} else {"keine Ablehnung"}

# Formulierung und berprfung von Hypothesen: z-Test
n=dim(Data)[1]; xq=mean(Data$Umsatz); xq # Schritt 1
mu=45; sigma=25; sigmaxq=sigma/sqrt(n); sigmaxq # Schritt 2
alpha=0.05; z_krit=qnorm(1-(alpha/2)); z_krit # Schritt 4
z_emp=(xq-mu)/sigmaxq; z_emp # Schritt 5
if (z_emp>z_krit){"Ablehnung"} else {"keine Ablehnung"}

# Formulierung und berprfung von Hypothesen: t-Test
n=dim(Data)[1]; mu=45;
xq=mean(Data$Umsatz); xq # Schritt 1
sigmaxq=(n-1)/n*sd(Data$Umsatz); sigmaxq # Schritt 2
alpha=0.05; t_krit=qt(1-alpha,n-1); t_krit # Schritt 4
t_emp=sqrt(n)*(xq-mu)/sigmaxq; t_emp # Schritt 5
if (t_emp>t_krit){"Ablehnung"} else {"keine Ablehnung"}

# Formulierung und berprfung von Hypothesen: chi2-Test
Data1=Data[which(Data$Besteller==1),] # nur Besteller
B=table(Data1$Marke); B # beobachtete Hfgkt.
E=c(mean(B),mean(B)); E # erwartete Hfgkt.
chi2_emp=sum((B-E)**2/E); chi2_emp # empirischer Wert
chi2_krit=qchisq(1-0.01,1); chi2_krit # kritischer Wert
if (chi2_emp>chi2_krit){"Ablehnung"} else {"keine Abl."}
chisq.test(B) # alternativer Aufruf


